textures/sfx/portal2_sfx
{
	qer_editorimage textures/sfx/portalfog.tga
	portal
	surfaceparm nolightmap
	deformVertexes wave 100 sin 0 2 0 .5


	{
		map textures/sfx/portal_sfx3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}


	{
		map textures/sfx/portal_sfx1.tga
		blendfunc gl_dst_color gl_zero
		//tcMod rotate 360
	}

	{
		map textures/sfx/portal_sfx.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 .5 .2 .5
	}

	{
		map textures/sfx/portalfog.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		//alphagen portal 128
		rgbGen identityLighting	
		tcmod rotate .1 //.1
		tcmod scroll .01 .03
	}
}

textures/sfx/portal_sfx
{
	portal
	surfaceparm nolightmap
	deformVertexes wave 100 sin 0 2 0 .5


	{
		map textures/sfx/portal_sfx3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}


	{
		map textures/sfx/portal_sfx1.tga
		blendfunc gl_dst_color gl_zero
		tcMod rotate 1

	}

	{
		map textures/sfx/portal_sfx.tga
		blendfunc gl_one gl_one
		//rgbgen wave inversesawtooth 0 .5 .2 .5
	}

	{
		map textures/sfx/portalfog.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphagen portal 256
		rgbGen identityLighting	
  		//tcmod rotate .1 //.1
		//tcmod scroll .01 .03
	}
}

textures/sfx/portal_sfx_ring
{
		deformVertexes wave 100 sin 0 2 0 .5
		cull none
	
	{
		map textures/sfx/portal_sfx_ring_blue1.tga 
		blendfunc gl_src_alpha gl_one_minus_src_alpha
	}

	
	{	
		map textures/sfx/portal_sfx_ring_electric.tga 
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 .2 .5
		tcmod scroll 0 .5

	}

	{
		map textures/sfx/portal_sfx1.tga
		blendfunc gl_dst_color gl_zero
		//tcMod rotate 360
	}

	{
		map textures/sfx/portal_sfx_ring.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 .5 .2 .5
	}

}

textures/videoraum/cm_tunneldoor_sign
{ 
   nopicmip 
   nocompress 
   nomipmaps 
   { 
      map textures/videoraum/tunneldoor_sign.tga 
      depthfunc equal 
      blendfunc blend 
      rgbGen vertex 
      alphaGen vertex 
   } 
}

textures/videoraum/zap_scroll
{
 //       q3map_surfacelight	300
        surfaceparm	trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	
	{
		Map textures/videoraum/zap_scroll.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle .8 2 0 7
                tcMod scroll 0 1
	}	
        {
		Map textures/videoraum/zap_scroll.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 5
                tcMod scale  -1 1
                tcMod scroll 0 1
	}	
        {
		Map textures/videoraum/zap_scroll2.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 6.3
                tcMod scale  -1 1
                tcMod scroll 2 1
	}	
        {
		Map textures/videoraum/zap_scroll2.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 7.7
                tcMod scroll -1.3 1
	}	
}
textures/eichsfeld/xmetal_m02a_trim
{
	surfaceparm metalsteps
	{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/eichsfeld/xmetal_m02a_trim.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/eichsfeld/xmetal_m02a
{
	surfaceparm metalsteps
	{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/eichsfeld/xmetal_m02a.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/kAmi_eichsfeld/projector2
{
	q3map_surfacelight 375
	qer_editorimage textures/kAmi_eichsfeld/pic1.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	polygonOffset
	nocompress
	nomipmaps
	nopicmip

	{
		animMap .3 textures/kAmi_eichsfeld/pic1.tga textures/kAmi_eichsfeld/pic2.tga textures/kAmi_eichsfeld/pic3.tga textures/kAmi_eichsfeld/pic4.tga

	//	blendFunc GL_SRC_ALPHA GL_ONE
		blendFunc GL_ONE GL_ONE
	}	
}
textures/kAmi_Eichsfeld/flamen
{
	//----(SA) added "lick"
	deformVertexes wave 194 sin 0 2 0 .5
	deformVertexes wave 30 sin 0 1 0 .9
	deformVertexes wave 194 sin 0 1 0 .6
	//----(SA) end

	nofog	// fogs properly
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodlight
	cull none
	q3map_lightimage textures/kAmi_Eichsfeld/flameball.tga
	q3map_surfacelight 3000
	qer_editorimage textures/kAmi_Eichsfeld/flame1.tga

	{
		animMap 8 textures/kAmi_Eichsfeld/flame1.tga textures/kAmi_Eichsfeld/flame2.tga textures/kAmi_Eichsfeld/flame3.tga textures/kAmi_Eichsfeld/flame4.tga textures/kAmi_Eichsfeld/flame5.tga textures/kAmi_Eichsfeld/flame6.tga textures/kAmi_Eichsfeld/flame7.tga textures/kAmi_Eichsfeld/flame8.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave sawtooth 0 1 0 8
	}	
	{
		animMap 8 textures/kAmi_Eichsfeld/flame8.tga textures/kAmi_Eichsfeld/flame1.tga textures/kAmi_Eichsfeld/flame2.tga textures/kAmi_Eichsfeld/flame3.tga textures/kAmi_Eichsfeld/flame4.tga textures/kAmi_Eichsfeld/flame5.tga textures/kAmi_Eichsfeld/flame6.tga textures/kAmi_Eichsfeld/flame7.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 8
	}	
	{
		map textures/kAmi_Eichsfeld/flameball.tga
		blendFunc GL_SRC_ALPHA GL_ONE
//		rgbGen wave sin .6 .2 .5 1
		rgbGen identity	
	}
}

